diff -u crm114-20070810/maillib.crm crm114-20070810/maillib.crm
--- crm114-20070810/maillib.crm
+++ crm114-20070810/maillib.crm
@@ -368,7 +368,16 @@
     match [:ac_args:] (:: :header: :comment:) /([[:graph:]]+) ([[:graph:]]+)/
     {
 	#    find the header if it exists
-	match (:found: :hd: :tail:) <nomultiline nocase> /^(:*:header:) (.*)/
+	match (:found: :hd: :tail:) <nomultiline nocase> \
+	  /^(:*:header:) ((.|\r?\n[[:blank:]].)*)/
+	{
+	  match [:unique_sfid:] /SET/
+	  {
+	    match (:: :liat:) /([[:space:]]*\(:*:comment:\\))/ [:tail:]
+	    alter (:liat:) //
+	    liaf
+	  }
+	}
 	alter (:tail:) /:*:tail: (:*:comment:)/
     }
 # Commented out by Milan Zamazal <pdm@debian.org> on 2007-01-28 as suggested on
diff -u crm114-20070810/debian/changelog crm114-20070810/debian/changelog
--- crm114-20070810/debian/changelog
+++ crm114-20070810/debian/changelog
@@ -1,3 +1,10 @@
+crm114 (20070810-1.1) unstable; urgency=low
+
+  * Integrate Paolo's patch, which adds the unique_sfid configuration variable
+    and thus closes: #435796.
+
+ -- martin f. krafft <madduck@debian.org>  Sun, 26 Aug 2007 21:04:43 +0200
+
 crm114 (20070810-1) unstable; urgency=low
 
   * New upstream version; closes: #433112.
diff -u crm114-20070810/mailreaver.crm crm114-20070810/mailreaver.crm
--- crm114-20070810/mailreaver.crm
+++ crm114-20070810/mailreaver.crm
@@ -105,6 +105,8 @@
 #
 isolate (:add_extra_stuff:) //
 #
+isolate <default> (:unique_sfid:) //
+#
 isolate (:decision_length:) /8192/
 #
 #      Isolate these email addresses, and give them values,
only in patch2:
unchanged:
--- crm114-20070810.orig/mailfilter.crm
+++ crm114-20070810/mailfilter.crm
@@ -73,6 +73,8 @@
 #
 isolate (:add_extra_stuff:) //
 #
+isolate <default> (:unique_sfid:) //
+#
 isolate (:decision_length:) /4096/
 #
 isolate (:cache:) // <default>
only in patch2:
unchanged:
--- crm114-20070810.orig/mailtrainer.crm
+++ crm114-20070810/mailtrainer.crm
@@ -68,6 +68,8 @@
 #
 isolate (:add_extra_stuff:) //
 #
+isolate <default> (:unique_sfid:) //
+#
 isolate (:decision_length:) /4096/
 #
 #      Isolate these email addresses, and give them values, 
only in patch2:
unchanged:
--- crm114-20070810.orig/mailfilter.cf
+++ crm114-20070810/mailfilter.cf
@@ -164,6 +164,15 @@
 # :add_extra_stuff: /attachment/
 
 
+#  ---------  Do we prevent crm114 from adding multiple sfid tags?
+#  -- every time mailreaver or mailfilter process a message, they add an sfid
+#  -- tag to the Message-Id field, even if such a tag already exists.
+#  -- by setting the following, crm114 knows not to add the tag if one already
+#  -- exists.
+#
+# :unique_sfid: /SET/
+
+
 #  ---------  Do we want to insert a "flagging" string on the subject line, 
 #  ---------  perhaps to insert an 'ADV:'  ?  Whatever string we put here
 #  ---------  will be inserted at the front of the subject if we think the
